<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>Friend List</title>
        <!-- <link rel="stylesheet" href="D:\KULIAH\Semester 3\PBP\LAB PBP\pbp-lab\lab_3\templates\lab3_index.css"> -->
        <style>
            body{
                text-align: center;
            }
            table {
                display: inline-block;
                border-collapse: collapse;
            }
            table,tr,td,th {
                border: 1px solid black;
            
            }

            tr:hover{
                color: teal;
                font-weight: 700;
            }

            th {
                background-color: teal;
                color: white;
            }


        </style>
    </head>
    <body>
        <section>
            <body>
                <h1>List of Indra's Beloved Friends</h1>
                <table>
                    <tr>
                        <th>Name</th>
                        <th>NPM</th>
                        <th>DOB</th>
                    </tr>
                    {% if friends %} 
                        {% for person in friends %}
                            <tr>
                                <td>{{ person.name }}</td>
                                <td>{{ person.npm }}</td>
                                <td>{{ person.DOB }}</td>
                            </tr>
                        {% endfor %}
                    {% endif %}
                </table>                
            </body>
        </section>
    </body>
</html>
